# Introduction

This repository contains materials to lower the entry barriers to analysing climate model simulations created for the [Palaeoclimate Model Intercomparison Project](https://pmip.lsce.ipsl.fr/). 

It is described in Zhao et al (2021) entitled ["Analyzing the PMIP4-CMIP6 ensemble: a workflow and tool (pmip\_p2fvar\_analyzer v1"](https://doi.org/10.5194/gmd-2021-290)), which is under consideration for publication at Geoscientific Model Development at <https://doi.org/10.5194/gmd-2021-290>. This documentation aims to provide a more user-centric description of the repository and contains explanations of the data contained, the python scripts, the NCL scripts and then a section explaining how to install the interactive docker image, which is available from [Docker Hub](https://hub.docker.com/r/chrisbrierley/testing-pmip4_past2future).

There are three major sections in this document: 
- Scripts
- Data
- Step by step instructions to use this repository

